D4Science Infrastructure - Incident #5722

Workspace Explorer: wrong breadcrumb for first level of a shared folder
Nov 10, 2016 12:30 PM - Francesco Mangiacrapa

Status: Closed Start date: Nov 10, 2016
Priority: Normal Due date:

Assignee: Francesco Mangiacrapa % Done: 100%
Category: Application Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Development, Production

Description

The Workspace Explorer builds a wrong breadcrumb in case of Shared Folder.
In particular when the user he/she navigates to the first level of a Shared Folder, the breadcrumb doesn't show the root’/home folder
so it's not possible to return back

History

#1 - Nov 10, 2016 12:49 PM - Francesco Mangiacrapa
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

| just fixed the issue and I've released in dev environment the patched version: http://data-d.d4science.org/workspace-explorer-app
| and @valentina.marioli@isti.cnr.it we are performing several test and if they work fine we can update the production

#2 - Nov 10, 2016 02:53 PM - Francesco Mangiacrapa

- Status changed from Resolved to Closed

I've deployed foIIowmg Etics bU|Id for patched Workspace Explorer on dev environment and it works correctly:

htt //etlcs esl.en .it/et|cs—re osnor —ws/download/volatlle/or .gcube.4-1-0/org. cube/or .gcube. ortlets—user.works ace-explorer-app/1.0.0/centos6.8
_x86_64 gccd47/org.gcube.portlets-user.workspace-explorer-app-1.0.0-1.tar.gz

I'm going to close current ticket.

#3 - Nov 10, 2016 04:05 PM - Pasquale Pagano

Please create a release ticket for 4.2 and attach it to this ticket.

Sep 16, 2025 1/1



http://data-d.d4science.org/workspace-explorer-app
http://etics.esl.eng.it/etics-repository-ws//reports/id/f2e237cc-d27c-4cd7-a336-8ba1eabb1dab/centos6.8_x86_64_gcc447/-/reports/build-status.xml
http://etics.esl.eng.it/etics-repository-ws/download/volatile/org.gcube.4-1-0/org.gcube/org.gcube.portlets-user.workspace-explorer-app/1.0.0/centos6.8_x86_64_gcc447/org.gcube.portlets-user.workspace-explorer-app-1.0.0-1.tar.gz
http://etics.esl.eng.it/etics-repository-ws/download/volatile/org.gcube.4-1-0/org.gcube/org.gcube.portlets-user.workspace-explorer-app/1.0.0/centos6.8_x86_64_gcc447/org.gcube.portlets-user.workspace-explorer-app-1.0.0-1.tar.gz
http://www.tcpdf.org

